#ifndef ITK_Rotate_INL
#define ITK_Rotate_INL


ACCESSOR_RW( ITK_INLINE, Rotate, double, angle, m_angle)


ITK_INLINE bool
Rotate::transform( Raster &src, Raster &dest)
{
  return do_rotate( src, dest);
}


ITK_INLINE bool
Rotate::transform( const Raster &src, Raster &dest)
{
  return do_rotate( src, dest);
}


ITK_INLINE bool
Rotate::rotate( const Raster &src, Raster &dest, double new_angle)
{
  angle( new_angle);
  return transform( src, dest);
}


#endif//ITK_Rotate_INL
